%ifnos darwin
%define __soext	so
%define __defgrp	root
%else
%define __soext	dylib
%define __defgrp	wheel
%endif

Summary: Modern Version Control System designed to replace CVS
Name: subversion
Version: 1.2.3
Release: 3a
License: BSD
Group: Development/Tools
URL: http://subversion.tigris.org/
Source0: http://subversion.tigris.org/tarballs/subversion-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root

%description
Subversion is a concurrent version control system which enables one
or more users to collaborate in developing and maintaining a
hierarchy of files and directories while keeping a history of all
changes.  Subversion only stores the differences between versions,
instead of every complete file.  Subversion is intended to be a
compelling replacement for CVS.

%package devel
Group: Development/Tools
Summary: Development package for Subversion developers.
Requires: subversion = %{version}-%{release}

%description devel
The subversion-devel package includes the static libraries and
include files for developers interacting with the subversion
package.


%prep
%setup -q

rm -rf neon apr apr-util db4


%build
export CC=gcc CXX=g++
%configure --with-apr=%{_prefix} --with-apr-util=%{_prefix} \
        --with-neon=%{_prefix} \
        --disable-static
make


%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=$RPM_BUILD_ROOT


# Remove unpackaged files
rm -rf ${RPM_BUILD_ROOT}%{_includedir}/subversion-*/*.txt \
       ${RPM_BUILD_ROOT}%{pydir}/*/*.{a,la}

# remove stuff produced with Perl modules
find $RPM_BUILD_ROOT -type f \
    -a \( -name .packlist -o \( -name '*.bs' -a -empty \) \) \
    -print0 | xargs -0 rm -f

# Trim what goes in docdir
rm -rf tools/*/*.in tools/test-scripts

# Rename authz_svn INSTALL doc for docdir
ln -f subversion/mod_authz_svn/INSTALL mod_authz_svn-INSTALL

%find_lang %{name}


%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,%{__defgrp})
%doc BUGS COMMITTERS COPYING HACKING INSTALL README CHANGES
%doc tools subversion/LICENSE mod_authz_svn-INSTALL
%doc doc/book/svn-book.html
#%doc contrib/client-side/svn_load_dirs{.pl,_*,.README}
%{_bindir}/*
%ifnos darwin
%{_libdir}/libsvn_*.%{__soext}.*
%else
%{_libdir}/libsvn_*.*.%{__soext}
%endif
%{_mandir}/man*/*

%files devel
%defattr(-,root,%{__defgrp})
%{_includedir}/subversion-1
%{_libdir}/libsvn*.*a
%{_libdir}/libsvn*.%{__soext}
%ifos darwin
%exclude %{_libdir}/libsvn*.*.%{__soext}
%endif

%changelog
* Wed Nov  2 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 1.2.3-3a
- 1st build on MacOS X 10.4
